curl --request POST \
--url https://api.gpthuman.ai/v1/humanize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://api.gpthuman.ai/v1/humanize"
payload = { "text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>'})
};
fetch('https://api.gpthuman.ai/v1/humanize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"language": "<string>",
"similarity": 123,
"readability": 123,
"humanScore": 123,
"status": 123,
"output": "<string>",
"outputWordCount": 123,
"outputCharCount": 123,
"creditUsage": 123,
"creditBalance": 123,
"tone": "<string>",
"mode": "<string>",
"wordCount": 123,
"charCount": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 123,
"error": "<string>",
"description": "<string>"
}{
"status": 123,
"error": "<string>",
"description": "<string>"
}{
"status": 123,
"error": "<string>",
"description": "<string>"
}{
"message": "<string>"
}Humanize Text
Transforms the provided text into a more natural, human-sounding variant while preserving the requested tone and rewrite mode.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The text to humanize. Must be at least 250 characters and must not exceed 2,500 words.
250Optional tone for the rewritten text. Defaults to College when omitted.
Standard, HighSchool, College, PhD Optional rewrite mode. Defaults to Balanced when omitted.
Professional, Balanced, Enhanced Response
Successful humanization response.
Unique identifier for the request.
Detected language of the processed text.
Similarity score returned by the humanization provider.
Readability score returned by the humanization provider.
AI detector human score for the rewritten output. Can be null when language is not supported by AI detector.
HTTP status code returned by the endpoint.
Human-sounding version of the input text.
Word count of the rewritten output.
Character count of the rewritten output. Note: field name currently contains a typo in the live API.
Number of credits consumed by this request.
Remaining credit balance after the request.
Tone applied to the request after default resolution.
Mode applied to the request after default resolution.
Word count of the input text.
Character count of the input text.
ISO 8601 timestamp for the request.